<?php
// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! class_exists( 'Insight_VC_Icon_Simple_Line' ) ) {
	class Insight_VC_Icon_Simple_Line {

		public function __construct() {
			/*
			 * Add styles & script file only on add new or edit post type.
			 */
			add_action( 'load-post.php', array( $this, 'enqueue_scripts' ) );
			add_action( 'load-post-new.php', array( $this, 'enqueue_scripts' ) );

			add_filter( 'vc_iconpicker-type-simple_line', array( $this, 'add_font_simple_line' ) );
		}

		public function enqueue_scripts() {
			add_action( 'admin_enqueue_scripts', array( $this, 'admin_enqueue_scripts' ) );
		}

		function admin_enqueue_scripts() {
			wp_enqueue_style( 'simple-line', INSIGHT_THEME_URI . '/assets/fonts/simple-line/style.css' );
		}

		public function add_font_simple_line( $icons ) {
			$simple_line_icons = array(
				array( 'icon-arrow-1-circle-down' => 'arrow 1 circle down' ),
				array( 'icon-arrow-1-circle-left' => 'arrow 1 circle left' ),
				array( 'icon-arrow-1-circle-right' => 'arrow 1 circle right' ),
				array( 'icon-arrow-1-circle-up' => 'arrow 1 circle up' ),
				array( 'icon-arrow-1-down' => 'arrow 1 down' ),
				array( 'icon-arrow-1-left' => 'arrow 1 left' ),
				array( 'icon-arrow-1-right' => 'arrow 1 right' ),
				array( 'icon-arrow-1-square-down' => 'arrow 1 square down' ),
				array( 'icon-arrow-1-square-left' => 'arrow 1 square left' ),
				array( 'icon-arrow-1-square-right' => 'arrow 1 square right' ),
				array( 'icon-arrow-1-square-up' => 'arrow 1 square up' ),
				array( 'icon-arrow-1-up' => 'arrow 1 up' ),
				array( 'icon-arrow-2-circle-down' => 'arrow 2 circle down' ),
				array( 'icon-arrow-2-circle-left' => 'arrow 2 circle left' ),
				array( 'icon-arrow-2-circle-right' => 'arrow 2 circle right' ),
				array( 'icon-arrow-2-circle-up' => 'arrow 2 circle up' ),
				array( 'icon-arrow-2-down' => 'arrow 2 down' ),
				array( 'icon-arrow-2-left' => 'arrow 2 left' ),
				array( 'icon-arrow-2-right' => 'arrow 2 right' ),
				array( 'icon-arrow-2-square-down' => 'arrow 2 square down' ),
				array( 'icon-arrow-2-square-left' => 'arrow 2 square left' ),
				array( 'icon-arrow-2-square-right' => 'arrow 2 square right' ),
				array( 'icon-arrow-2-square-up' => 'arrow 2 square up' ),
				array( 'icon-arrow-2-up' => 'arrow 2 up' ),
				array( 'icon-arrow-3-circle-down' => 'arrow 3 circle down' ),
				array( 'icon-arrow-3-circle-left' => 'arrow 3 circle left' ),
				array( 'icon-arrow-3-circle-right' => 'arrow 3 circle right' ),
				array( 'icon-arrow-3-circle-up' => 'arrow 3 circle up' ),
				array( 'icon-arrow-3-down' => 'arrow 3 down' ),
				array( 'icon-arrow-3-left' => 'arrow 3 left' ),
				array( 'icon-arrow-3-right' => 'arrow 3 right' ),
				array( 'icon-arrow-3-square-down' => 'arrow 3 square down' ),
				array( 'icon-arrow-3-square-left' => 'arrow 3 square left' ),
				array( 'icon-arrow-3-square-right' => 'arrow 3 square right' ),
				array( 'icon-arrow-3-square-up' => 'arrow 3 square up' ),
				array( 'icon-arrow-3-up' => 'arrow 3 up' ),
				array( 'icon-back-1' => 'back 1' ),
				array( 'icon-back-2' => 'back 2' ),
				array( 'icon-back-3' => 'back 3' ),
				array( 'icon-back-4-circle' => 'back 4 circle' ),
				array( 'icon-back-4-square' => 'back 4 square' ),
				array( 'icon-back-4' => 'back 4' ),
				array( 'icon-back-5' => 'back 5' ),
				array( 'icon-back-6' => 'back 6' ),
				array( 'icon-back-7' => 'back 7' ),
				array( 'icon-backward-7' => 'backward 7' ),
				array( 'icon-double-arrows-1-left' => 'double arrows 1 left' ),
				array( 'icon-double-arrows-1-right' => 'double arrows 1 right' ),
				array( 'icon-fork-arrows' => 'fork arrows' ),
				array( 'icon-forward-7' => 'forward 7' ),
				array( 'icon-next-1' => 'next 1' ),
				array( 'icon-next-2' => 'next 2' ),
				array( 'icon-next-3' => 'next 3' ),
				array( 'icon-next-4-circle' => 'next 4 circle' ),
				array( 'icon-next-4-square' => 'next 4 square' ),
				array( 'icon-next-4' => 'next 4' ),
				array( 'icon-next-5' => 'next 5' ),
				array( 'icon-next-6' => 'next 6' ),
				array( 'icon-next-7' => 'next 7' ),
				array( 'icon-s-arrow-1' => 's arrow 1' ),
				array( 'icon-s-arrow-2' => 's arrow 2' ),
				array( 'icon-s-arrow-3' => 's arrow 3' ),
				array( 'icon-answer' => 'answer' ),
				array( 'icon-call-back' => 'call back' ),
				array( 'icon-call-block' => 'call block' ),
				array( 'icon-call-end' => 'call end' ),
				array( 'icon-call-hold' => 'call hold' ),
				array( 'icon-call-in' => 'call in' ),
				array( 'icon-call-logs' => 'call logs' ),
				array( 'icon-call-off' => 'call off' ),
				array( 'icon-call-out' => 'call out' ),
				array( 'icon-call' => 'call' ),
				array( 'icon-chat-1' => 'chat 1' ),
				array( 'icon-chat-2' => 'chat 2' ),
				array( 'icon-chat-3' => 'chat 3' ),
				array( 'icon-comment-1' => 'comment 1' ),
				array( 'icon-comment-2-hashtag' => 'comment 2 hashtag' ),
				array( 'icon-comment-2-quote' => 'comment 2 quote' ),
				array( 'icon-comment-2-smile' => 'comment 2 smile' ),
				array( 'icon-comment-2-write-2' => 'comment 2 write 2' ),
				array( 'icon-comment-2' => 'comment 2' ),
				array( 'icon-comment-3-write-2' => 'comment 3 write 2' ),
				array( 'icon-comment-3' => 'comment 3' ),
				array( 'icon-comments-1' => 'comments 1' ),
				array( 'icon-comments-2' => 'comments 2' ),
				array( 'icon-comments-3' => 'comments 3' ),
				array( 'icon-email-2-at' => 'email 2 at' ),
				array( 'icon-email-2-letter' => 'email 2 letter' ),
				array( 'icon-email-2-open' => 'email 2 open' ),
				array( 'icon-email-2-search' => 'email 2 search' ),
				array( 'icon-email-at' => 'email at' ),
				array( 'icon-email-ban' => 'email ban' ),
				array( 'icon-email-check' => 'email check' ),
				array( 'icon-email-close' => 'email close' ),
				array( 'icon-email-delete' => 'email delete' ),
				array( 'icon-email-edit' => 'email edit' ),
				array( 'icon-email-forward' => 'email forward' ),
				array( 'icon-email-in' => 'email in' ),
				array( 'icon-email-letter' => 'email letter' ),
				array( 'icon-email-locked' => 'email locked' ),
				array( 'icon-email-new' => 'email new' ),
				array( 'icon-email-open' => 'email open' ),
				array( 'icon-email-out' => 'email out' ),
				array( 'icon-email-refresh' => 'email refresh' ),
				array( 'icon-email-reply' => 'email reply' ),
				array( 'icon-email-search' => 'email search' ),
				array( 'icon-email-send' => 'email send' ),
				array( 'icon-email-star' => 'email star' ),
				array( 'icon-email' => 'email' ),
				array( 'icon-inbox-empty' => 'inbox empty' ),
				array( 'icon-inbox-full' => 'inbox full' ),
				array( 'icon-inbox' => 'inbox' ),
				array( 'icon-letter' => 'letter' ),
				array( 'icon-letters' => 'letters' ),
				array( 'icon-megaphone-1' => 'megaphone 1' ),
				array( 'icon-megaphone-2' => 'megaphone 2' ),
				array( 'icon-message-1-alert' => 'message 1 alert' ),
				array( 'icon-message-1-ask' => 'message 1 ask' ),
				array( 'icon-message-1-hashtag' => 'message 1 hashtag' ),
				array( 'icon-message-1-heart' => 'message 1 heart' ),
				array( 'icon-message-1-like' => 'message 1 like' ),
				array( 'icon-message-1-music-tone' => 'message 1 music tone' ),
				array( 'icon-message-1-pause' => 'message 1 pause' ),
				array( 'icon-message-1-quote' => 'message 1 quote' ),
				array( 'icon-message-1-smile' => 'message 1 smile' ),
				array( 'icon-message-1-write' => 'message 1 write' ),
				array( 'icon-message-1' => 'message 1' ),
				array( 'icon-message-2-alert' => 'message 2 alert' ),
				array( 'icon-message-2-ask' => 'message 2 ask' ),
				array( 'icon-message-2-heart' => 'message 2 heart' ),
				array( 'icon-message-2-like' => 'message 2 like' ),
				array( 'icon-message-2-music-tone' => 'message 2 music tone' ),
				array( 'icon-message-2-pause' => 'message 2 pause' ),
				array( 'icon-message-2-write' => 'message 2 write' ),
				array( 'icon-message-2' => 'message 2' ),
				array( 'icon-message-3-alert' => 'message 3 alert' ),
				array( 'icon-message-3-ask' => 'message 3 ask' ),
				array( 'icon-message-3-hashtag' => 'message 3 hashtag' ),
				array( 'icon-message-3-heart' => 'message 3 heart' ),
				array( 'icon-message-3-like' => 'message 3 like' ),
				array( 'icon-message-3-music-tone' => 'message 3 music tone' ),
				array( 'icon-message-3-pause' => 'message 3 pause' ),
				array( 'icon-message-3-quote' => 'message 3 quote' ),
				array( 'icon-message-3-smile' => 'message 3 smile' ),
				array( 'icon-message-3-write' => 'message 3 write' ),
				array( 'icon-message-3' => 'message 3' ),
				array( 'icon-outbox' => 'outbox' ),
				array( 'icon-paper-plane-2' => 'paper plane 2' ),
				array( 'icon-phone-call-in' => 'phone call in' ),
				array( 'icon-phone-call-out' => 'phone call out' ),
				array( 'icon-phone-contacts' => 'phone contacts' ),
				array( 'icon-phone-message-1' => 'phone message 1' ),
				array( 'icon-phone-message-2' => 'phone message 2' ),
				array( 'icon-phone-message-3' => 'phone message 3' ),
				array( 'icon-phone-ring' => 'phone ring' ),
				array( 'icon-Q-and-A' => 'Q and A' ),
				array( 'icon-telephone-1' => 'telephone 1' ),
				array( 'icon-voicemail' => 'voicemail' ),
				array( 'icon-abacus' => 'abacus' ),
				array( 'icon-alphabet' => 'alphabet' ),
				array( 'icon-blackboard-1' => 'blackboard 1' ),
				array( 'icon-blackboard-2' => 'blackboard 2' ),
				array( 'icon-blackboard-3' => 'blackboard 3' ),
				array( 'icon-blackboard-alphabet' => 'blackboard alphabet' ),
				array( 'icon-blackboard-pointer' => 'blackboard pointer' ),
				array( 'icon-bomb' => 'bomb' ),
				array( 'icon-briefcase-2' => 'briefcase 2' ),
				array( 'icon-bulb-add' => 'bulb add' ),
				array( 'icon-bulb-checked' => 'bulb checked' ),
				array( 'icon-bulb-close' => 'bulb close' ),
				array( 'icon-bulb-idea' => 'bulb idea' ),
				array( 'icon-bulb-remove' => 'bulb remove' ),
				array( 'icon-bulb' => 'bulb' ),
				array( 'icon-chemistry-1-test-failed' => 'chemistry 1 test failed' ),
				array( 'icon-chemistry-1-test-successful' => 'chemistry 1 test successful' ),
				array( 'icon-chemistry-1' => 'chemistry 1' ),
				array( 'icon-chemistry-2' => 'chemistry 2' ),
				array( 'icon-chemistry-3' => 'chemistry 3' ),
				array( 'icon-chemistry-5' => 'chemistry 5' ),
				array( 'icon-divider' => 'divider' ),
				array( 'icon-drawers' => 'drawers' ),
				array( 'icon-earth-globe' => 'earth globe' ),
				array( 'icon-formula-2' => 'formula 2' ),
				array( 'icon-formula' => 'formula' ),
				array( 'icon-germs' => 'germs' ),
				array( 'icon-grade' => 'grade' ),
				array( 'icon-graduation-cap' => 'graduation cap' ),
				array( 'icon-learning' => 'learning' ),
				array( 'icon-math' => 'math' ),
				array( 'icon-molecule' => 'molecule' ),
				array( 'icon-nerd-glasses' => 'nerd glasses' ),
				array( 'icon-physics-1' => 'physics 1' ),
				array( 'icon-physics-2' => 'physics 2' ),
				array( 'icon-planet' => 'planet' ),
				array( 'icon-school-bag' => 'school bag' ),
				array( 'icon-telescope' => 'telescope' ),
				array( 'icon-university' => 'university' ),
				array( 'icon-d-axis' => 'd axis' ),
				array( 'icon-d-axis-2' => 'd axis 2' ),
				array( 'icon-d-axis2' => 'd axis2' ),
				array( 'icon-d-cube' => 'd cube' ),
				array( 'icon-blur' => 'blur' ),
				array( 'icon-bring-forward' => 'bring forward' ),
				array( 'icon-brush-1' => 'brush 1' ),
				array( 'icon-brush-2' => 'brush 2' ),
				array( 'icon-brush-pencil' => 'brush pencil' ),
				array( 'icon-cmyk' => 'cmyk' ),
				array( 'icon-color-palette' => 'color palette' ),
				array( 'icon-crop' => 'crop' ),
				array( 'icon-easel' => 'easel' ),
				array( 'icon-eraser' => 'eraser' ),
				array( 'icon-eyedropper-1' => 'eyedropper 1' ),
				array( 'icon-eyedropper-2' => 'eyedropper 2' ),
				array( 'icon-golden-spiral' => 'golden spiral' ),
				array( 'icon-graphic-tablet' => 'graphic tablet' ),
				array( 'icon-grid' => 'grid' ),
				array( 'icon-layers-1' => 'layers 1' ),
				array( 'icon-layers-2' => 'layers 2' ),
				array( 'icon-layers-add-1' => 'layers add 1' ),
				array( 'icon-layers-add-2' => 'layers add 2' ),
				array( 'icon-layers-linked--1' => 'layers linked  1' ),
				array( 'icon-layers-linked-2' => 'layers linked 2' ),
				array( 'icon-layers-locked-1' => 'layers locked 1' ),
				array( 'icon-layers-locked-2' => 'layers locked 2' ),
				array( 'icon-layers-off-1' => 'layers off 1' ),
				array( 'icon-layers-remove-1' => 'layers remove 1' ),
				array( 'icon-layers-remove-2' => 'layers remove 2' ),
				array( 'icon-paint-bucket-1' => 'paint bucket 1' ),
				array( 'icon-paint-bucket-2' => 'paint bucket 2' ),
				array( 'icon-paint-roll' => 'paint roll' ),
				array( 'icon-pantone-charts' => 'pantone charts' ),
				array( 'icon-pathfinder-exclude' => 'pathfinder exclude' ),
				array( 'icon-pathfinder-intersect' => 'pathfinder intersect' ),
				array( 'icon-pathfinder-minus-front' => 'pathfinder minus front' ),
				array( 'icon-pathfinder-unite' => 'pathfinder unite' ),
				array( 'icon-pen-1' => 'pen 1' ),
				array( 'icon-pen-2' => 'pen 2' ),
				array( 'icon-pen-pencil' => 'pen pencil' ),
				array( 'icon-pencil-1' => 'pencil 1' ),
				array( 'icon-pencil-2' => 'pencil 2' ),
				array( 'icon-pencil-ruler' => 'pencil ruler' ),
				array( 'icon-rgb' => 'rgb' ),
				array( 'icon-ruler-triangle' => 'ruler triangle' ),
				array( 'icon-ruler' => 'ruler' ),
				array( 'icon-scissors-2' => 'scissors 2' ),
				array( 'icon-scissors' => 'scissors' ),
				array( 'icon-send-backward' => 'send backward' ),
				array( 'icon-sharpener' => 'sharpener' ),
				array( 'icon-smart-object' => 'smart object' ),
				array( 'icon-spiral' => 'spiral' ),
				array( 'icon-spray-can' => 'spray can' ),
				array( 'icon-square-circle' => 'square circle' ),
				array( 'icon-square-triangle-circle' => 'square triangle circle' ),
				array( 'icon-square-triangle' => 'square triangle' ),
				array( 'icon-stylus' => 'stylus' ),
				array( 'icon-varnish-brush' => 'varnish brush' ),
				array( 'icon-vector-arc' => 'vector arc' ),
				array( 'icon-vector-circle' => 'vector circle' ),
				array( 'icon-vector-line' => 'vector line' ),
				array( 'icon-vector-path-1' => 'vector path 1' ),
				array( 'icon-vector-path-2' => 'vector path 2' ),
				array( 'icon-vector-path-3' => 'vector path 3' ),
				array( 'icon-vector-rectangle' => 'vector rectangle' ),
				array( 'icon-vector-triangle' => 'vector triangle' ),
				array( 'icon-agenda-1' => 'agenda 1' ),
				array( 'icon-agenda-2' => 'agenda 2' ),
				array( 'icon-article-2' => 'article 2' ),
				array( 'icon-article-3' => 'article 3' ),
				array( 'icon-article' => 'article' ),
				array( 'icon-ballpen' => 'ballpen' ),
				array( 'icon-bold' => 'bold' ),
				array( 'icon-book-2' => 'book 2' ),
				array( 'icon-book-3' => 'book 3' ),
				array( 'icon-book-4' => 'book 4' ),
				array( 'icon-book-5' => 'book 5' ),
				array( 'icon-book-6' => 'book 6' ),
				array( 'icon-book' => 'book' ),
				array( 'icon-bookmark-1' => 'bookmark 1' ),
				array( 'icon-bookmark-2' => 'bookmark 2' ),
				array( 'icon-bookmark-3' => 'bookmark 3' ),
				array( 'icon-bookmark-add' => 'bookmark add' ),
				array( 'icon-bookmark-checked' => 'bookmark checked' ),
				array( 'icon-bookmark' => 'bookmark' ),
				array( 'icon-bookmarks' => 'bookmarks' ),
				array( 'icon-character' => 'character' ),
				array( 'icon-characters' => 'characters' ),
				array( 'icon-clipboard-1' => 'clipboard 1' ),
				array( 'icon-clipboard-2' => 'clipboard 2' ),
				array( 'icon-clipboard-check' => 'clipboard check' ),
				array( 'icon-clipboard-file' => 'clipboard file' ),
				array( 'icon-cmd' => 'cmd' ),
				array( 'icon-content-1' => 'content 1' ),
				array( 'icon-content-2' => 'content 2' ),
				array( 'icon-content-3' => 'content 3' ),
				array( 'icon-copy-plain-text' => 'copy plain text' ),
				array( 'icon-copy-styles' => 'copy styles' ),
				array( 'icon-CV-2' => 'CV 2' ),
				array( 'icon-CV' => 'CV' ),
				array( 'icon-document-envelope-1' => 'document envelope 1' ),
				array( 'icon-document-envelope-2' => 'document envelope 2' ),
				array( 'icon-document-pencil' => 'document pencil' ),
				array( 'icon-indent-left' => 'indent left' ),
				array( 'icon-indent-right' => 'indent right' ),
				array( 'icon-liner' => 'liner' ),
				array( 'icon-list-bullets' => 'list bullets' ),
				array( 'icon-list-numbers' => 'list numbers' ),
				array( 'icon-marker' => 'marker' ),
				array( 'icon-newspaper' => 'newspaper' ),
				array( 'icon-nib-1' => 'nib 1' ),
				array( 'icon-nib-2' => 'nib 2' ),
				array( 'icon-note' => 'note' ),
				array( 'icon-notebook' => 'notebook' ),
				array( 'icon-office-archive' => 'office archive' ),
				array( 'icon-paper-clamp' => 'paper clamp' ),
				array( 'icon-papyrus' => 'papyrus' ),
				array( 'icon-paragraph-down' => 'paragraph down' ),
				array( 'icon-paragraph-up' => 'paragraph up' ),
				array( 'icon-paragraph' => 'paragraph' ),
				array( 'icon-pen-12' => 'pen 12' ),
				array( 'icon-pencil-12' => 'pencil 12' ),
				array( 'icon-pencil-22' => 'pencil 22' ),
				array( 'icon-quill-ink-pot' => 'quill ink pot' ),
				array( 'icon-quill' => 'quill' ),
				array( 'icon-quotes' => 'quotes' ),
				array( 'icon-research' => 'research' ),
				array( 'icon-spell-check' => 'spell check' ),
				array( 'icon-strikethrough' => 'strikethrough' ),
				array( 'icon-text-box' => 'text box' ),
				array( 'icon-text-color' => 'text color' ),
				array( 'icon-text-input' => 'text input' ),
				array( 'icon-text-italic' => 'text italic' ),
				array( 'icon-text' => 'text' ),
				array( 'icon-translate' => 'translate' ),
				array( 'icon-underline' => 'underline' ),
				array( 'icon-user-manual-2' => 'user manual 2' ),
				array( 'icon-user-manual' => 'user manual' ),
				array( 'icon-write-2' => 'write 2' ),
				array( 'icon-write-3' => 'write 3' ),
				array( 'icon-write-off' => 'write off' ),
				array( 'icon-write' => 'write' ),
				array( 'icon-add-notification' => 'add notification' ),
				array( 'icon-add-tab' => 'add tab' ),
				array( 'icon-airplane-mode-off' => 'airplane mode off' ),
				array( 'icon-airplane-mode' => 'airplane mode' ),
				array( 'icon-align-bottom' => 'align bottom' ),
				array( 'icon-align-left' => 'align left' ),
				array( 'icon-align-right' => 'align right' ),
				array( 'icon-align-top' => 'align top' ),
				array( 'icon-backward' => 'backward' ),
				array( 'icon-ban' => 'ban' ),
				array( 'icon-brightness-high' => 'brightness high' ),
				array( 'icon-brightness-low' => 'brightness low' ),
				array( 'icon-cancel-circle' => 'cancel circle' ),
				array( 'icon-cancel-square-2' => 'cancel square 2' ),
				array( 'icon-cancel-square' => 'cancel square' ),
				array( 'icon-check-all' => 'check all' ),
				array( 'icon-check-circle-2' => 'check circle 2' ),
				array( 'icon-check-circle' => 'check circle' ),
				array( 'icon-check-square-2' => 'check square 2' ),
				array( 'icon-check-square' => 'check square' ),
				array( 'icon-check' => 'check' ),
				array( 'icon-close' => 'close' ),
				array( 'icon-config-1' => 'config 1' ),
				array( 'icon-config-2' => 'config 2' ),
				array( 'icon-contract-2' => 'contract 2' ),
				array( 'icon-contract-3' => 'contract 3' ),
				array( 'icon-contract-4' => 'contract 4' ),
				array( 'icon-contract' => 'contract' ),
				array( 'icon-cursor-click' => 'cursor click' ),
				array( 'icon-cursor-double-click' => 'cursor double click' ),
				array( 'icon-cursor-select' => 'cursor select' ),
				array( 'icon-cursor' => 'cursor' ),
				array( 'icon-door-lock' => 'door lock' ),
				array( 'icon-double-tap' => 'double tap' ),
				array( 'icon-download-1' => 'download 1' ),
				array( 'icon-download-2' => 'download 2' ),
				array( 'icon-drag-1' => 'drag 1' ),
				array( 'icon-drag1' => 'drag1' ),
				array( 'icon-edit-1' => 'edit 1' ),
				array( 'icon-edit-2' => 'edit 2' ),
				array( 'icon-edit-3' => 'edit 3' ),
				array( 'icon-expand-2' => 'expand 2' ),
				array( 'icon-expand-3' => 'expand 3' ),
				array( 'icon-expand-4' => 'expand 4' ),
				array( 'icon-expand-horizontal' => 'expand horizontal' ),
				array( 'icon-expand-vertical' => 'expand vertical' ),
				array( 'icon-expand' => 'expand' ),
				array( 'icon-eye-off' => 'eye off' ),
				array( 'icon-eye' => 'eye' ),
				array( 'icon-fingerprint' => 'fingerprint' ),
				array( 'icon-flash-2' => 'flash 2' ),
				array( 'icon-flash-3' => 'flash 3' ),
				array( 'icon-flash-4' => 'flash 4' ),
				array( 'icon-flip-horizontal' => 'flip horizontal' ),
				array( 'icon-flip-vertical' => 'flip vertical' ),
				array( 'icon-forward' => 'forward' ),
				array( 'icon-grid-circles' => 'grid circles' ),
				array( 'icon-grid-squares-2' => 'grid squares 2' ),
				array( 'icon-grid-squares' => 'grid squares' ),
				array( 'icon-hamburger-menu-1' => 'hamburger menu 1' ),
				array( 'icon-hamburger-menu-2' => 'hamburger menu 2' ),
				array( 'icon-hand' => 'hand' ),
				array( 'icon-help-1' => 'help 1' ),
				array( 'icon-help-2' => 'help 2' ),
				array( 'icon-home' => 'home' ),
				array( 'icon-info' => 'info' ),
				array( 'icon-inside' => 'inside' ),
				array( 'icon-key-1' => 'key 1' ),
				array( 'icon-key-2' => 'key 2' ),
				array( 'icon-label-cancel' => 'label cancel' ),
				array( 'icon-label' => 'label' ),
				array( 'icon-layout-1' => 'layout 1' ),
				array( 'icon-layout-2' => 'layout 2' ),
				array( 'icon-layout-3' => 'layout 3' ),
				array( 'icon-list-1' => 'list 1' ),
				array( 'icon-list-2' => 'list 2' ),
				array( 'icon-list-3' => 'list 3' ),
				array( 'icon-list-4' => 'list 4' ),
				array( 'icon-lock' => 'lock' ),
				array( 'icon-loop' => 'loop' ),
				array( 'icon-magic-wand-1' => 'magic wand 1' ),
				array( 'icon-magic-wand-2' => 'magic wand 2' ),
				array( 'icon-magnet' => 'magnet' ),
				array( 'icon-magnifier-1' => 'magnifier 1' ),
				array( 'icon-magnifier-2' => 'magnifier 2' ),
				array( 'icon-maximize-left' => 'maximize left' ),
				array( 'icon-maximize-right' => 'maximize right' ),
				array( 'icon-menu-circle-grid' => 'menu circle grid' ),
				array( 'icon-minus-circle' => 'minus circle' ),
				array( 'icon-minus-square' => 'minus square' ),
				array( 'icon-more-circle' => 'more circle' ),
				array( 'icon-more-circles-horizontal' => 'more circles horizontal' ),
				array( 'icon-more-circles-vertical' => 'more circles vertical' ),
				array( 'icon-more-squares-vertical-filled' => 'more squares vertical filled' ),
				array( 'icon-more-squares-vertical' => 'more squares vertical' ),
				array( 'icon-notification-2' => 'notification 2' ),
				array( 'icon-notification-off' => 'notification off' ),
				array( 'icon-notification-paused' => 'notification paused' ),
				array( 'icon-notification' => 'notification' ),
				array( 'icon-outside' => 'outside' ),
				array( 'icon-paper-clip' => 'paper clip' ),
				array( 'icon-paper-plane' => 'paper plane' ),
				array( 'icon-pass' => 'pass' ),
				array( 'icon-phone-shake' => 'phone shake' ),
				array( 'icon-pin-1' => 'pin 1' ),
				array( 'icon-pin-2' => 'pin 2' ),
				array( 'icon-pin-3' => 'pin 3' ),
				array( 'icon-pin-code' => 'pin code' ),
				array( 'icon-plus-circle' => 'plus circle' ),
				array( 'icon-plus-square' => 'plus square' ),
				array( 'icon-plus' => 'plus' ),
				array( 'icon-pointer' => 'pointer' ),
				array( 'icon-power' => 'power' ),
				array( 'icon-press' => 'press' ),
				array( 'icon-question' => 'question' ),
				array( 'icon-refresh-2' => 'refresh 2' ),
				array( 'icon-refresh-warning' => 'refresh warning' ),
				array( 'icon-refresh' => 'refresh' ),
				array( 'icon-reload-checked' => 'reload checked' ),
				array( 'icon-reload' => 'reload' ),
				array( 'icon-remove-tab' => 'remove tab' ),
				array( 'icon-rotate' => 'rotate' ),
				array( 'icon-scroll' => 'scroll' ),
				array( 'icon-search-history' => 'search history' ),
				array( 'icon-settings-1' => 'settings 1' ),
				array( 'icon-settings-2' => 'settings 2' ),
				array( 'icon-share-1' => 'share 1' ),
				array( 'icon-share-2' => 'share 2' ),
				array( 'icon-share-3' => 'share 3' ),
				array( 'icon-share-4' => 'share 4' ),
				array( 'icon-spread' => 'spread' ),
				array( 'icon-swap-horizontal' => 'swap horizontal' ),
				array( 'icon-swap-vertical' => 'swap vertical' ),
				array( 'icon-swipe-down' => 'swipe down' ),
				array( 'icon-swipe-left' => 'swipe left' ),
				array( 'icon-swipe-right' => 'swipe right' ),
				array( 'icon-swipe-up' => 'swipe up' ),
				array( 'icon-switch-off' => 'switch off' ),
				array( 'icon-switch-on' => 'switch on' ),
				array( 'icon-switches-1' => 'switches 1' ),
				array( 'icon-switches-2' => 'switches 2' ),
				array( 'icon-tabs-2' => 'tabs 2' ),
				array( 'icon-tabs' => 'tabs' ),
				array( 'icon-tap' => 'tap' ),
				array( 'icon-touch' => 'touch' ),
				array( 'icon-trash-recycle' => 'trash recycle' ),
				array( 'icon-trash' => 'trash' ),
				array( 'icon-unlocked' => 'unlocked' ),
				array( 'icon-upload-1' => 'upload 1' ),
				array( 'icon-upload-2' => 'upload 2' ),
				array( 'icon-warning-circle' => 'warning circle' ),
				array( 'icon-warning-hexagon' => 'warning hexagon' ),
				array( 'icon-warning-triangle' => 'warning triangle' ),
				array( 'icon-zoom-in-1' => 'zoom in 1' ),
				array( 'icon-zoom-in-2' => 'zoom in 2' ),
				array( 'icon-zoom-out-1' => 'zoom out 1' ),
				array( 'icon-zoom-out-2' => 'zoom out 2' ),
				array( 'icon-file' => 'file' ),
				array( 'icon-file-aep' => 'file aep' ),
				array( 'icon-file-ai' => 'file ai' ),
				array( 'icon-file-apk' => 'file apk' ),
				array( 'icon-file-archive' => 'file archive' ),
				array( 'icon-file-audio' => 'file audio' ),
				array( 'icon-file-avi' => 'file avi' ),
				array( 'icon-file-backup' => 'file backup' ),
				array( 'icon-file-bookmark' => 'file bookmark' ),
				array( 'icon-file-cdr' => 'file cdr' ),
				array( 'icon-file-clip' => 'file clip' ),
				array( 'icon-file-code' => 'file code' ),
				array( 'icon-file-copy' => 'file copy' ),
				array( 'icon-file-corrupted' => 'file corrupted' ),
				array( 'icon-file-css' => 'file css' ),
				array( 'icon-file-delete' => 'file delete' ),
				array( 'icon-file-dmg' => 'file dmg' ),
				array( 'icon-file-doc' => 'file doc' ),
				array( 'icon-file-download' => 'file download' ),
				array( 'icon-file-edit' => 'file edit' ),
				array( 'icon-file-eps' => 'file eps' ),
				array( 'icon-file-error' => 'file error' ),
				array( 'icon-file-exchange' => 'file exchange' ),
				array( 'icon-file-exe' => 'file exe' ),
				array( 'icon-file-export' => 'file export' ),
				array( 'icon-file-flv' => 'file flv' ),
				array( 'icon-file-gif' => 'file gif' ),
				array( 'icon-file-ico' => 'file ico' ),
				array( 'icon-file-image' => 'file image' ),
				array( 'icon-file-info' => 'file info' ),
				array( 'icon-file-jpg' => 'file jpg' ),
				array( 'icon-file-linked' => 'file linked' ),
				array( 'icon-file-load' => 'file load' ),
				array( 'icon-file-locked' => 'file locked' ),
				array( 'icon-file-mov' => 'file mov' ),
				array( 'icon-file-mp3' => 'file mp3' ),
				array( 'icon-file-mpg' => 'file mpg' ),
				array( 'icon-file-new' => 'file new' ),
				array( 'icon-file-otf' => 'file otf' ),
				array( 'icon-file-pdf' => 'file pdf' ),
				array( 'icon-file-png' => 'file png' ),
				array( 'icon-file-psd' => 'file psd' ),
				array( 'icon-file-rar' => 'file rar' ),
				array( 'icon-file-raw' => 'file raw' ),
				array( 'icon-file-remove' => 'file remove' ),
				array( 'icon-file-search' => 'file search' ),
				array( 'icon-file-share' => 'file share' ),
				array( 'icon-file-star' => 'file star' ),
				array( 'icon-file-svg' => 'file svg' ),
				array( 'icon-file-sync' => 'file sync' ),
				array( 'icon-file-table' => 'file table' ),
				array( 'icon-file-text' => 'file text' ),
				array( 'icon-file-tif' => 'file tif' ),
				array( 'icon-file-ttf' => 'file ttf' ),
				array( 'icon-file-txt' => 'file txt' ),
				array( 'icon-file-upload' => 'file upload' ),
				array( 'icon-file-vector' => 'file vector' ),
				array( 'icon-file-video' => 'file video' ),
				array( 'icon-file-warning' => 'file warning' ),
				array( 'icon-file-xls' => 'file xls' ),
				array( 'icon-file-xml' => 'file xml' ),
				array( 'icon-file-zip' => 'file zip' ),
				array( 'icon-file2' => 'file2' ),
				array( 'icon-files-2' => 'files 2' ),
				array( 'icon-files' => 'files' ),
				array( 'icon-folder-archive' => 'folder archive' ),
				array( 'icon-folder-audio' => 'folder audio' ),
				array( 'icon-folder-backup' => 'folder backup' ),
				array( 'icon-folder-bookmark' => 'folder bookmark' ),
				array( 'icon-folder-check' => 'folder check' ),
				array( 'icon-folder-code' => 'folder code' ),
				array( 'icon-folder-copy' => 'folder copy' ),
				array( 'icon-folder-delete' => 'folder delete' ),
				array( 'icon-folder-download' => 'folder download' ),
				array( 'icon-folder-exchange' => 'folder exchange' ),
				array( 'icon-folder-export' => 'folder export' ),
				array( 'icon-folder-file' => 'folder file' ),
				array( 'icon-folder-image' => 'folder image' ),
				array( 'icon-folder-import' => 'folder import' ),
				array( 'icon-folder-info' => 'folder info' ),
				array( 'icon-folder-linked' => 'folder linked' ),
				array( 'icon-folder-locked' => 'folder locked' ),
				array( 'icon-folder-new' => 'folder new' ),
				array( 'icon-folder-open' => 'folder open' ),
				array( 'icon-folder-search' => 'folder search' ),
				array( 'icon-folder-share' => 'folder share' ),
				array( 'icon-folder-star' => 'folder star' ),
				array( 'icon-folder-sync' => 'folder sync' ),
				array( 'icon-folder-text' => 'folder text' ),
				array( 'icon-folder-upload' => 'folder upload' ),
				array( 'icon-folder-video' => 'folder video' ),
				array( 'icon-folder-warning' => 'folder warning' ),
				array( 'icon-folder' => 'folder' ),
				array( 'icon-Shape710' => 'Shape710' ),
				array( 'icon-7-support-1' => '7 support 1' ),
				array( 'icon-7-support-2' => '7 support 2' ),
				array( 'icon-h-calls' => 'h calls' ),
				array( 'icon-ATM-1' => 'ATM 1' ),
				array( 'icon-ATM-2' => 'ATM 2' ),
				array( 'icon-balance' => 'balance' ),
				array( 'icon-bank' => 'bank' ),
				array( 'icon-banknote-1' => 'banknote 1' ),
				array( 'icon-banknote-2' => 'banknote 2' ),
				array( 'icon-banknote-coins' => 'banknote coins' ),
				array( 'icon-banknotes-1' => 'banknotes 1' ),
				array( 'icon-banknotes-2' => 'banknotes 2' ),
				array( 'icon-bar-chart-board' => 'bar chart board' ),
				array( 'icon-bar-chart-down' => 'bar chart down' ),
				array( 'icon-bar-chart-search' => 'bar chart search' ),
				array( 'icon-bar-chart-stats-down' => 'bar chart stats down' ),
				array( 'icon-bar-chart-stats-up' => 'bar chart stats up' ),
				array( 'icon-bar-chart-up' => 'bar chart up' ),
				array( 'icon-bar-chart' => 'bar chart' ),
				array( 'icon-bill-1' => 'bill 1' ),
				array( 'icon-bill-2' => 'bill 2' ),
				array( 'icon-bitcoin-circle' => 'bitcoin circle' ),
				array( 'icon-bitcoin' => 'bitcoin' ),
				array( 'icon-briefcase' => 'briefcase' ),
				array( 'icon-calculator' => 'calculator' ),
				array( 'icon-calendar-money' => 'calendar money' ),
				array( 'icon-cent-circle' => 'cent circle' ),
				array( 'icon-cent' => 'cent' ),
				array( 'icon-coins-1' => 'coins 1' ),
				array( 'icon-coins-2' => 'coins 2' ),
				array( 'icon-coins-3' => 'coins 3' ),
				array( 'icon-coins-4' => 'coins 4' ),
				array( 'icon-credit-card-2' => 'credit card 2' ),
				array( 'icon-credit-card' => 'credit card' ),
				array( 'icon-curency-exchange' => 'curency exchange' ),
				array( 'icon-donut-chart-1' => 'donut chart 1' ),
				array( 'icon-donut-chart-2' => 'donut chart 2' ),
				array( 'icon-EUR-circle' => 'EUR circle' ),
				array( 'icon-EUR' => 'EUR' ),
				array( 'icon-GBP-circle' => 'GBP circle' ),
				array( 'icon-GBP' => 'GBP' ),
				array( 'icon-gold-1' => 'gold 1' ),
				array( 'icon-gold-2' => 'gold 2' ),
				array( 'icon-graph-2' => 'graph 2' ),
				array( 'icon-graph-chart-board-down' => 'graph chart board down' ),
				array( 'icon-graph-chart-board-up' => 'graph chart board up' ),
				array( 'icon-graph-chart-board' => 'graph chart board' ),
				array( 'icon-graph-down' => 'graph down' ),
				array( 'icon-graph-money' => 'graph money' ),
				array( 'icon-graph-up' => 'graph up' ),
				array( 'icon-graph' => 'graph' ),
				array( 'icon-hand-banknote' => 'hand banknote' ),
				array( 'icon-hand-banknotes' => 'hand banknotes' ),
				array( 'icon-hand-bill-1' => 'hand bill 1' ),
				array( 'icon-hand-bill-2' => 'hand bill 2' ),
				array( 'icon-hand-coin' => 'hand coin' ),
				array( 'icon-hand-coins' => 'hand coins' ),
				array( 'icon-hand-credit-card' => 'hand credit card' ),
				array( 'icon-JPY-circle' => 'JPY circle' ),
				array( 'icon-JPY' => 'JPY' ),
				array( 'icon-money-bag-coins' => 'money bag coins' ),
				array( 'icon-money-bag' => 'money bag' ),
				array( 'icon-money-hierarchy' => 'money hierarchy' ),
				array( 'icon-networking' => 'networking' ),
				array( 'icon-pie-chart-1' => 'pie chart 1' ),
				array( 'icon-pie-chart-2' => 'pie chart 2' ),
				array( 'icon-pie-chart-3' => 'pie chart 3' ),
				array( 'icon-pie-chart-board' => 'pie chart board' ),
				array( 'icon-piggy-bank' => 'piggy bank' ),
				array( 'icon-presentation' => 'presentation' ),
				array( 'icon-safe' => 'safe' ),
				array( 'icon-search-money' => 'search money' ),
				array( 'icon-search-stats' => 'search stats' ),
				array( 'icon-send-money' => 'send money' ),
				array( 'icon-shacking-hands' => 'shacking hands' ),
				array( 'icon-speach-buble-money' => 'speach buble money' ),
				array( 'icon-stamp' => 'stamp' ),
				array( 'icon-support' => 'support' ),
				array( 'icon-target-1' => 'target 1' ),
				array( 'icon-target-2' => 'target 2' ),
				array( 'icon-target-3' => 'target 3' ),
				array( 'icon-target-4' => 'target 4' ),
				array( 'icon-target-money' => 'target money' ),
				array( 'icon-tasks-1' => 'tasks 1' ),
				array( 'icon-tasks-2' => 'tasks 2' ),
				array( 'icon-tasks-3' => 'tasks 3' ),
				array( 'icon-tasks-checked' => 'tasks checked' ),
				array( 'icon-tie' => 'tie' ),
				array( 'icon-time-money' => 'time money' ),
				array( 'icon-USD-circle' => 'USD circle' ),
				array( 'icon-USD' => 'USD' ),
				array( 'icon-voucher' => 'voucher' ),
				array( 'icon-workflow' => 'workflow' ),
				array( 'icon-write-check' => 'write check' ),
				array( 'icon-alcoohol' => 'alcoohol' ),
				array( 'icon-apple-1' => 'apple 1' ),
				array( 'icon-apple-2' => 'apple 2' ),
				array( 'icon-apple-3' => 'apple 3' ),
				array( 'icon-avocado' => 'avocado' ),
				array( 'icon-banana' => 'banana' ),
				array( 'icon-barbecue' => 'barbecue' ),
				array( 'icon-beer-mug' => 'beer mug' ),
				array( 'icon-beverage' => 'beverage' ),
				array( 'icon-blender' => 'blender' ),
				array( 'icon-bottle-beer' => 'bottle beer' ),
				array( 'icon-bottle-milk' => 'bottle milk' ),
				array( 'icon-bottle-wine' => 'bottle wine' ),
				array( 'icon-bowl' => 'bowl' ),
				array( 'icon-bread-1' => 'bread 1' ),
				array( 'icon-bread-2' => 'bread 2' ),
				array( 'icon-butcher-knife' => 'butcher knife' ),
				array( 'icon-cake' => 'cake' ),
				array( 'icon-candy' => 'candy' ),
				array( 'icon-carrot' => 'carrot' ),
				array( 'icon-champagne' => 'champagne' ),
				array( 'icon-cheese' => 'cheese' ),
				array( 'icon-chef-hat-1' => 'chef hat 1' ),
				array( 'icon-chef-hat-2' => 'chef hat 2' ),
				array( 'icon-chef-knife' => 'chef knife' ),
				array( 'icon-cherry' => 'cherry' ),
				array( 'icon-chicken' => 'chicken' ),
				array( 'icon-coconut' => 'coconut' ),
				array( 'icon-coffee-bean' => 'coffee bean' ),
				array( 'icon-coffee-cup' => 'coffee cup' ),
				array( 'icon-coffee-mug' => 'coffee mug' ),
				array( 'icon-coffeee-machine' => 'coffeee machine' ),
				array( 'icon-cookie-1' => 'cookie 1' ),
				array( 'icon-cookie-2' => 'cookie 2' ),
				array( 'icon-cooking-pan' => 'cooking pan' ),
				array( 'icon-cooking-pot' => 'cooking pot' ),
				array( 'icon-cooking-timer-1' => 'cooking timer 1' ),
				array( 'icon-cooking-timer-2' => 'cooking timer 2' ),
				array( 'icon-cooking-timer-3' => 'cooking timer 3' ),
				array( 'icon-cooking-timer-4' => 'cooking timer 4' ),
				array( 'icon-cooking-timer-5' => 'cooking timer 5' ),
				array( 'icon-cooking-timer-6' => 'cooking timer 6' ),
				array( 'icon-cooking-timer-7' => 'cooking timer 7' ),
				array( 'icon-cooking-timer-8' => 'cooking timer 8' ),
				array( 'icon-corkscrew' => 'corkscrew' ),
				array( 'icon-croissant' => 'croissant' ),
				array( 'icon-cupcake' => 'cupcake' ),
				array( 'icon-egg' => 'egg' ),
				array( 'icon-fast-food' => 'fast food' ),
				array( 'icon-fire' => 'fire' ),
				array( 'icon-fork-knife-1' => 'fork knife 1' ),
				array( 'icon-fork-knife-2' => 'fork knife 2' ),
				array( 'icon-fork-spoon-knife' => 'fork spoon knife' ),
				array( 'icon-fork-spoon' => 'fork spoon' ),
				array( 'icon-fork' => 'fork' ),
				array( 'icon-fridge' => 'fridge' ),
				array( 'icon-fried-egg' => 'fried egg' ),
				array( 'icon-fries' => 'fries' ),
				array( 'icon-glass-beer-1' => 'glass beer 1' ),
				array( 'icon-glass-beer-2' => 'glass beer 2' ),
				array( 'icon-glass-champagme-1' => 'glass champagme 1' ),
				array( 'icon-glass-champagme-2' => 'glass champagme 2' ),
				array( 'icon-glass-cocktail-1' => 'glass cocktail 1' ),
				array( 'icon-glass-cocktail-2' => 'glass cocktail 2' ),
				array( 'icon-glass-water' => 'glass water' ),
				array( 'icon-glass-wine-1' => 'glass wine 1' ),
				array( 'icon-glass-wine-2' => 'glass wine 2' ),
				array( 'icon-glass-wine-3' => 'glass wine 3' ),
				array( 'icon-grapes' => 'grapes' ),
				array( 'icon-grinder' => 'grinder' ),
				array( 'icon-hamburger' => 'hamburger' ),
				array( 'icon-ice-cream-1' => 'ice cream 1' ),
				array( 'icon-ice-cream-2' => 'ice cream 2' ),
				array( 'icon-ice-cream-3' => 'ice cream 3' ),
				array( 'icon-jam-jar' => 'jam jar' ),
				array( 'icon-kitchen-glove' => 'kitchen glove' ),
				array( 'icon-kitchen-scale' => 'kitchen scale' ),
				array( 'icon-knife' => 'knife' ),
				array( 'icon-ladle' => 'ladle' ),
				array( 'icon-lemon' => 'lemon' ),
				array( 'icon-lollipop-1' => 'lollipop 1' ),
				array( 'icon-lollipop-2' => 'lollipop 2' ),
				array( 'icon-meal-time' => 'meal time' ),
				array( 'icon-meal' => 'meal' ),
				array( 'icon-microwave' => 'microwave' ),
				array( 'icon-mushroom' => 'mushroom' ),
				array( 'icon-pear-1' => 'pear 1' ),
				array( 'icon-pear-2' => 'pear 2' ),
				array( 'icon-pear-apple' => 'pear apple' ),
				array( 'icon-pepper' => 'pepper' ),
				array( 'icon-pitcher' => 'pitcher' ),
				array( 'icon-pizza' => 'pizza' ),
				array( 'icon-pretzel' => 'pretzel' ),
				array( 'icon-recipe' => 'recipe' ),
				array( 'icon-sausage' => 'sausage' ),
				array( 'icon-shake' => 'shake' ),
				array( 'icon-skewer' => 'skewer' ),
				array( 'icon-spoon' => 'spoon' ),
				array( 'icon-strawberry' => 'strawberry' ),
				array( 'icon-sushi-1' => 'sushi 1' ),
				array( 'icon-sushi-2' => 'sushi 2' ),
				array( 'icon-tea-cup' => 'tea cup' ),
				array( 'icon-tea-mug' => 'tea mug' ),
				array( 'icon-teapot-1' => 'teapot 1' ),
				array( 'icon-teapot-2' => 'teapot 2' ),
				array( 'icon-togo-cup-1' => 'togo cup 1' ),
				array( 'icon-water-can' => 'water can' ),
				array( 'icon-watermelon' => 'watermelon' ),
				array( 'icon-battery-1' => 'battery 1' ),
				array( 'icon-battery-2' => 'battery 2' ),
				array( 'icon-battery-3' => 'battery 3' ),
				array( 'icon-battery-4' => 'battery 4' ),
				array( 'icon-battery-5' => 'battery 5' ),
				array( 'icon-battery-charging' => 'battery charging' ),
				array( 'icon-battery-empty' => 'battery empty' ),
				array( 'icon-battery-fully-charged' => 'battery fully charged' ),
				array( 'icon-battery-low' => 'battery low' ),
				array( 'icon-battery-warning' => 'battery warning' ),
				array( 'icon-cable-1' => 'cable 1' ),
				array( 'icon-cable-2' => 'cable 2' ),
				array( 'icon-cd-burn' => 'cd burn' ),
				array( 'icon-cd' => 'cd' ),
				array( 'icon-charger-plug-1' => 'charger plug 1' ),
				array( 'icon-charger-plug-2' => 'charger plug 2' ),
				array( 'icon-charger-plug-3' => 'charger plug 3' ),
				array( 'icon-desktop' => 'desktop' ),
				array( 'icon-diskette-1' => 'diskette 1' ),
				array( 'icon-diskette-2' => 'diskette 2' ),
				array( 'icon-diskette-3' => 'diskette 3' ),
				array( 'icon-flashdrive' => 'flashdrive' ),
				array( 'icon-gameboy' => 'gameboy' ),
				array( 'icon-hdd' => 'hdd' ),
				array( 'icon-imac' => 'imac' ),
				array( 'icon-ipod' => 'ipod' ),
				array( 'icon-iwatch' => 'iwatch' ),
				array( 'icon-joystick-1' => 'joystick 1' ),
				array( 'icon-joystick-2' => 'joystick 2' ),
				array( 'icon-keyboard-1' => 'keyboard 1' ),
				array( 'icon-keyboard-2' => 'keyboard 2' ),
				array( 'icon-laptop-1' => 'laptop 1' ),
				array( 'icon-laptop-2' => 'laptop 2' ),
				array( 'icon-monitor' => 'monitor' ),
				array( 'icon-mouse-1' => 'mouse 1' ),
				array( 'icon-mouse-2' => 'mouse 2' ),
				array( 'icon-mouse-3' => 'mouse 3' ),
				array( 'icon-old-computer' => 'old computer' ),
				array( 'icon-old-radio-1' => 'old radio 1' ),
				array( 'icon-old-radio-2' => 'old radio 2' ),
				array( 'icon-old-radio-3' => 'old radio 3' ),
				array( 'icon-old-telephone' => 'old telephone' ),
				array( 'icon-old-tv-1' => 'old tv 1' ),
				array( 'icon-old-tv-2' => 'old tv 2' ),
				array( 'icon-outlet' => 'outlet' ),
				array( 'icon-plug' => 'plug' ),
				array( 'icon-printer' => 'printer' ),
				array( 'icon-projector' => 'projector' ),
				array( 'icon-psp' => 'psp' ),
				array( 'icon-remote' => 'remote' ),
				array( 'icon-router' => 'router' ),
				array( 'icon-security-camera' => 'security camera' ),
				array( 'icon-shredder' => 'shredder' ),
				array( 'icon-sim-1' => 'sim 1' ),
				array( 'icon-sim-2' => 'sim 2' ),
				array( 'icon-smart-watch' => 'smart watch' ),
				array( 'icon-smartphone-3G' => 'smartphone 3G' ),
				array( 'icon-smartphone-4G' => 'smartphone 4G' ),
				array( 'icon-smartphone-desktop' => 'smartphone desktop' ),
				array( 'icon-smartphone-hand-1' => 'smartphone hand 1' ),
				array( 'icon-smartphone-hand-2' => 'smartphone hand 2' ),
				array( 'icon-smartphone-landscape' => 'smartphone landscape' ),
				array( 'icon-smartphone-laptop' => 'smartphone laptop' ),
				array( 'icon-smartphone-off' => 'smartphone off' ),
				array( 'icon-smartphone-orientation' => 'smartphone orientation' ),
				array( 'icon-smartphone-rotate-left' => 'smartphone rotate left' ),
				array( 'icon-smartphone-rotate-right' => 'smartphone rotate right' ),
				array( 'icon-smartphone-tablet-1' => 'smartphone tablet 1' ),
				array( 'icon-smartphone-tablet-2' => 'smartphone tablet 2' ),
				array( 'icon-smartphone-tablet-desktop' => 'smartphone tablet desktop' ),
				array( 'icon-smartphone' => 'smartphone' ),
				array( 'icon-smartphones' => 'smartphones' ),
				array( 'icon-switch' => 'switch' ),
				array( 'icon-tablet-desktop' => 'tablet desktop' ),
				array( 'icon-tablet-landscape' => 'tablet landscape' ),
				array( 'icon-tablet-orientation-landscape' => 'tablet orientation landscape' ),
				array( 'icon-tablet-orientation-portrait' => 'tablet orientation portrait' ),
				array( 'icon-tablet-stylus' => 'tablet stylus' ),
				array( 'icon-tablet' => 'tablet' ),
				array( 'icon-tablets' => 'tablets' ),
				array( 'icon-telephone' => 'telephone' ),
				array( 'icon-tv' => 'tv' ),
				array( 'icon-usb-wireless' => 'usb wireless' ),
				array( 'icon-web-camera' => 'web camera' ),
				array( 'icon-auction' => 'auction' ),
				array( 'icon-barcode-scan' => 'barcode scan' ),
				array( 'icon-barcode' => 'barcode' ),
				array( 'icon-basket-add' => 'basket add' ),
				array( 'icon-basket-checked' => 'basket checked' ),
				array( 'icon-basket-close' => 'basket close' ),
				array( 'icon-basket-in' => 'basket in' ),
				array( 'icon-basket-out' => 'basket out' ),
				array( 'icon-basket-remove' => 'basket remove' ),
				array( 'icon-basket' => 'basket' ),
				array( 'icon-cart-1-add' => 'cart 1 add' ),
				array( 'icon-cart-1-cancel' => 'cart 1 cancel' ),
				array( 'icon-cart-1-checked' => 'cart 1 checked' ),
				array( 'icon-cart-1-in' => 'cart 1 in' ),
				array( 'icon-cart-1-loaded' => 'cart 1 loaded' ),
				array( 'icon-cart-1-out' => 'cart 1 out' ),
				array( 'icon-cart-1-remove' => 'cart 1 remove' ),
				array( 'icon-cart-1' => 'cart 1' ),
				array( 'icon-cart-2-add' => 'cart 2 add' ),
				array( 'icon-cart-2-cancel' => 'cart 2 cancel' ),
				array( 'icon-cart-2-checked' => 'cart 2 checked' ),
				array( 'icon-cart-2-in' => 'cart 2 in' ),
				array( 'icon-cart-2-loaded' => 'cart 2 loaded' ),
				array( 'icon-cart-2-out' => 'cart 2 out' ),
				array( 'icon-cart-2-remove' => 'cart 2 remove' ),
				array( 'icon-cart-2' => 'cart 2' ),
				array( 'icon-cart-3-loaded' => 'cart 3 loaded' ),
				array( 'icon-cart-3' => 'cart 3' ),
				array( 'icon-delivery-1' => 'delivery 1' ),
				array( 'icon-delivery-2' => 'delivery 2' ),
				array( 'icon-delivery-3' => 'delivery 3' ),
				array( 'icon-delivery-box-1' => 'delivery box 1' ),
				array( 'icon-delivery-box-2' => 'delivery box 2' ),
				array( 'icon-discount-circle' => 'discount circle' ),
				array( 'icon-discount-star' => 'discount star' ),
				array( 'icon-handbag' => 'handbag' ),
				array( 'icon-list-heart' => 'list heart' ),
				array( 'icon-open-sign' => 'open sign' ),
				array( 'icon-price-tag' => 'price tag' ),
				array( 'icon-qr-code' => 'qr code' ),
				array( 'icon-shop-1' => 'shop 1' ),
				array( 'icon-shop-2-location' => 'shop 2 location' ),
				array( 'icon-shop-2' => 'shop 2' ),
				array( 'icon-shopping-bag-add' => 'shopping bag add' ),
				array( 'icon-shopping-bag-ckecked' => 'shopping bag ckecked' ),
				array( 'icon-shopping-bag-close' => 'shopping bag close' ),
				array( 'icon-shopping-bag-heart' => 'shopping bag heart' ),
				array( 'icon-shopping-bag-remove' => 'shopping bag remove' ),
				array( 'icon-shopping-bag' => 'shopping bag' ),
				array( 'icon-shopping-tag' => 'shopping tag' ),
				array( 'icon-shopping-tags' => 'shopping tags' ),
				array( 'icon-ticket' => 'ticket' ),
				array( 'icon-wallet-1' => 'wallet 1' ),
				array( 'icon-wallet-add' => 'wallet add' ),
				array( 'icon-wallet-ban' => 'wallet ban' ),
				array( 'icon-wallet-cancel' => 'wallet cancel' ),
				array( 'icon-wallet-info' => 'wallet info' ),
				array( 'icon-wallet-loaded' => 'wallet loaded' ),
				array( 'icon-wallet-locked' => 'wallet locked' ),
				array( 'icon-wallet-remove' => 'wallet remove' ),
				array( 'icon-wallet-verified' => 'wallet verified' ),
				array( 'icon-wallet' => 'wallet' ),
				array( 'icon-airplay' => 'airplay' ),
				array( 'icon-antena-1' => 'antena 1' ),
				array( 'icon-antena-2' => 'antena 2' ),
				array( 'icon-antena-3' => 'antena 3' ),
				array( 'icon-bluetooth' => 'bluetooth' ),
				array( 'icon-broadcast' => 'broadcast' ),
				array( 'icon-cloud-backup' => 'cloud backup' ),
				array( 'icon-cloud-check' => 'cloud check' ),
				array( 'icon-cloud-download' => 'cloud download' ),
				array( 'icon-cloud-edit' => 'cloud edit' ),
				array( 'icon-cloud-error-2' => 'cloud error 2' ),
				array( 'icon-cloud-error' => 'cloud error' ),
				array( 'icon-cloud-help' => 'cloud help' ),
				array( 'icon-cloud-hosting' => 'cloud hosting' ),
				array( 'icon-cloud-locked' => 'cloud locked' ),
				array( 'icon-cloud-minus' => 'cloud minus' ),
				array( 'icon-cloud-music' => 'cloud music' ),
				array( 'icon-cloud-off' => 'cloud off' ),
				array( 'icon-cloud-plus' => 'cloud plus' ),
				array( 'icon-cloud-search' => 'cloud search' ),
				array( 'icon-cloud-settings' => 'cloud settings' ),
				array( 'icon-cloud-share' => 'cloud share' ),
				array( 'icon-cloud-sync' => 'cloud sync' ),
				array( 'icon-cloud-upload' => 'cloud upload' ),
				array( 'icon-cloud' => 'cloud' ),
				array( 'icon-database-backup' => 'database backup' ),
				array( 'icon-database-check' => 'database check' ),
				array( 'icon-database-edit' => 'database edit' ),
				array( 'icon-database-error' => 'database error' ),
				array( 'icon-database-firewall' => 'database firewall' ),
				array( 'icon-database-locked' => 'database locked' ),
				array( 'icon-database-plus' => 'database plus' ),
				array( 'icon-database-refresh' => 'database refresh' ),
				array( 'icon-database-remove' => 'database remove' ),
				array( 'icon-database-search' => 'database search' ),
				array( 'icon-database-settings' => 'database settings' ),
				array( 'icon-database' => 'database' ),
				array( 'icon-internet-block' => 'internet block' ),
				array( 'icon-internet-location' => 'internet location' ),
				array( 'icon-internet-lock' => 'internet lock' ),
				array( 'icon-internet-refresh' => 'internet refresh' ),
				array( 'icon-internet-search' => 'internet search' ),
				array( 'icon-internet-settings' => 'internet settings' ),
				array( 'icon-internet-time' => 'internet time' ),
				array( 'icon-internet' => 'internet' ),
				array( 'icon-mobile-hotspot' => 'mobile hotspot' ),
				array( 'icon-network-desktop' => 'network desktop' ),
				array( 'icon-network-laptop' => 'network laptop' ),
				array( 'icon-network-smartphone' => 'network smartphone' ),
				array( 'icon-network' => 'network' ),
				array( 'icon-satelite-signal' => 'satelite signal' ),
				array( 'icon-satelite' => 'satelite' ),
				array( 'icon-server-backup' => 'server backup' ),
				array( 'icon-server-check' => 'server check' ),
				array( 'icon-server-edit' => 'server edit' ),
				array( 'icon-server-error' => 'server error' ),
				array( 'icon-server-firewall' => 'server firewall' ),
				array( 'icon-server-locked' => 'server locked' ),
				array( 'icon-server-plus' => 'server plus' ),
				array( 'icon-server-refresh' => 'server refresh' ),
				array( 'icon-server-remove' => 'server remove' ),
				array( 'icon-server-search' => 'server search' ),
				array( 'icon-server-settings' => 'server settings' ),
				array( 'icon-server' => 'server' ),
				array( 'icon-signal-1' => 'signal 1' ),
				array( 'icon-signal-2' => 'signal 2' ),
				array( 'icon-signal-4' => 'signal 4' ),
				array( 'icon-usb-1' => 'usb 1' ),
				array( 'icon-usb-2' => 'usb 2' ),
				array( 'icon-wifi-locked' => 'wifi locked' ),
				array( 'icon-wifi-tethering-off' => 'wifi tethering off' ),
				array( 'icon-wifi-tethering' => 'wifi tethering' ),
				array( 'icon-wifi' => 'wifi' ),
				array( 'icon-K' => 'K' ),
				array( 'icon-album-2' => 'album 2' ),
				array( 'icon-album' => 'album' ),
				array( 'icon-albums' => 'albums' ),
				array( 'icon-aperture' => 'aperture' ),
				array( 'icon-aspect-ratio' => 'aspect ratio' ),
				array( 'icon-audiobook-2' => 'audiobook 2' ),
				array( 'icon-audiobook' => 'audiobook' ),
				array( 'icon-boombox-1' => 'boombox 1' ),
				array( 'icon-boombox-2' => 'boombox 2' ),
				array( 'icon-camcorder' => 'camcorder' ),
				array( 'icon-camera-focus' => 'camera focus' ),
				array( 'icon-camera-off' => 'camera off' ),
				array( 'icon-camera-reverse' => 'camera reverse' ),
				array( 'icon-camera-swap' => 'camera swap' ),
				array( 'icon-camera-tripod' => 'camera tripod' ),
				array( 'icon-camera' => 'camera' ),
				array( 'icon-cassette' => 'cassette' ),
				array( 'icon-CD' => 'CD' ),
				array( 'icon-clapperboard' => 'clapperboard' ),
				array( 'icon-closed-caption' => 'closed caption' ),
				array( 'icon-director-chair' => 'director chair' ),
				array( 'icon-earphones-1' => 'earphones 1' ),
				array( 'icon-earphones-2' => 'earphones 2' ),
				array( 'icon-earphones-3' => 'earphones 3' ),
				array( 'icon-eject-circle' => 'eject circle' ),
				array( 'icon-eject' => 'eject' ),
				array( 'icon-end-circle' => 'end circle' ),
				array( 'icon-end' => 'end' ),
				array( 'icon-exposure' => 'exposure' ),
				array( 'icon-external-flash' => 'external flash' ),
				array( 'icon-film-1' => 'film 1' ),
				array( 'icon-film-2' => 'film 2' ),
				array( 'icon-film-reel' => 'film reel' ),
				array( 'icon-flash-auto' => 'flash auto' ),
				array( 'icon-flash-off' => 'flash off' ),
				array( 'icon-flash' => 'flash' ),
				array( 'icon-forward-circle' => 'forward circle' ),
				array( 'icon-forward2' => 'forward2' ),
				array( 'icon-frame' => 'frame' ),
				array( 'icon-HD' => 'HD' ),
				array( 'icon-headphones-1' => 'headphones 1' ),
				array( 'icon-headphones-2' => 'headphones 2' ),
				array( 'icon-loop-1' => 'loop 1' ),
				array( 'icon-loop-all' => 'loop all' ),
				array( 'icon-loop2' => 'loop2' ),
				array( 'icon-macro' => 'macro' ),
				array( 'icon-media-player' => 'media player' ),
				array( 'icon-mic-2' => 'mic 2' ),
				array( 'icon-microphone-off' => 'microphone off' ),
				array( 'icon-microphone' => 'microphone' ),
				array( 'icon-movie-camera' => 'movie camera' ),
				array( 'icon-music-tone-1-off' => 'music tone 1 off' ),
				array( 'icon-music-tone-1' => 'music tone 1' ),
				array( 'icon-music-tone-2-off' => 'music tone 2 off' ),
				array( 'icon-music-tone-2' => 'music tone 2' ),
				array( 'icon-mute' => 'mute' ),
				array( 'icon-panorama' => 'panorama' ),
				array( 'icon-pause-circle' => 'pause circle' ),
				array( 'icon-pause' => 'pause' ),
				array( 'icon-photo-add' => 'photo add' ),
				array( 'icon-photo-album' => 'photo album' ),
				array( 'icon-photo' => 'photo' ),
				array( 'icon-photos' => 'photos' ),
				array( 'icon-play-circle' => 'play circle' ),
				array( 'icon-play' => 'play' ),
				array( 'icon-playlist-1' => 'playlist 1' ),
				array( 'icon-playlist-add' => 'playlist add' ),
				array( 'icon-playlist-audio' => 'playlist audio' ),
				array( 'icon-playlist-video' => 'playlist video' ),
				array( 'icon-podcast' => 'podcast' ),
				array( 'icon-rec-circle' => 'rec circle' ),
				array( 'icon-retro-camera' => 'retro camera' ),
				array( 'icon-rewind-circle' => 'rewind circle' ),
				array( 'icon-rewind' => 'rewind' ),
				array( 'icon-rotate-left' => 'rotate left' ),
				array( 'icon-rotate-right' => 'rotate right' ),
				array( 'icon-SD' => 'SD' ),
				array( 'icon-shuffle' => 'shuffle' ),
				array( 'icon-slideshow-1' => 'slideshow 1' ),
				array( 'icon-slideshow-2' => 'slideshow 2' ),
				array( 'icon-soundwave' => 'soundwave' ),
				array( 'icon-speaker-1' => 'speaker 1' ),
				array( 'icon-speaker-2' => 'speaker 2' ),
				array( 'icon-start-circle' => 'start circle' ),
				array( 'icon-start' => 'start' ),
				array( 'icon-stereo-1' => 'stereo 1' ),
				array( 'icon-stereo-2' => 'stereo 2' ),
				array( 'icon-stop-circle' => 'stop circle' ),
				array( 'icon-stop' => 'stop' ),
				array( 'icon-turntable' => 'turntable' ),
				array( 'icon-video-camera-2' => 'video camera 2' ),
				array( 'icon-video-camera-off' => 'video camera off' ),
				array( 'icon-video-camera' => 'video camera' ),
				array( 'icon-volume-1' => 'volume 1' ),
				array( 'icon-volume-2' => 'volume 2' ),
				array( 'icon-volume-off' => 'volume off' ),
				array( 'icon-vumeter' => 'vumeter' ),
				array( 'icon-D-glasses' => 'D glasses' ),
				array( 'icon-armchair' => 'armchair' ),
				array( 'icon-balloons' => 'balloons' ),
				array( 'icon-baseball-1' => 'baseball 1' ),
				array( 'icon-baseball-2' => 'baseball 2' ),
				array( 'icon-basketball-2' => 'basketball 2' ),
				array( 'icon-basketball' => 'basketball' ),
				array( 'icon-binoculars' => 'binoculars' ),
				array( 'icon-bow-arrow' => 'bow arrow' ),
				array( 'icon-bowling-1' => 'bowling 1' ),
				array( 'icon-bowling-2' => 'bowling 2' ),
				array( 'icon-chess-1' => 'chess 1' ),
				array( 'icon-chess-2' => 'chess 2' ),
				array( 'icon-couch' => 'couch' ),
				array( 'icon-cutter' => 'cutter' ),
				array( 'icon-diamond-1' => 'diamond 1' ),
				array( 'icon-diamond-2' => 'diamond 2' ),
				array( 'icon-diamond-ring' => 'diamond ring' ),
				array( 'icon-do-not-disturb' => 'do not disturb' ),
				array( 'icon-dress' => 'dress' ),
				array( 'icon-duck-toy' => 'duck toy' ),
				array( 'icon-fireworks' => 'fireworks' ),
				array( 'icon-fishing' => 'fishing' ),
				array( 'icon-fitness' => 'fitness' ),
				array( 'icon-flashlight' => 'flashlight' ),
				array( 'icon-football' => 'football' ),
				array( 'icon-funnel' => 'funnel' ),
				array( 'icon-gift' => 'gift' ),
				array( 'icon-golf' => 'golf' ),
				array( 'icon-guitar' => 'guitar' ),
				array( 'icon-hammer' => 'hammer' ),
				array( 'icon-hanger-1' => 'hanger 1' ),
				array( 'icon-hanger-2' => 'hanger 2' ),
				array( 'icon-hat-1' => 'hat 1' ),
				array( 'icon-hat-2' => 'hat 2' ),
				array( 'icon-hipster-glasses' => 'hipster glasses' ),
				array( 'icon-iron' => 'iron' ),
				array( 'icon-kg' => 'kg' ),
				array( 'icon-kite' => 'kite' ),
				array( 'icon-lamp-1' => 'lamp 1' ),
				array( 'icon-lamp-2' => 'lamp 2' ),
				array( 'icon-lego-1' => 'lego 1' ),
				array( 'icon-lego-2' => 'lego 2' ),
				array( 'icon-magic-wand-12' => 'magic wand 12' ),
				array( 'icon-magic-wand-22' => 'magic wand 22' ),
				array( 'icon-origami-1' => 'origami 1' ),
				array( 'icon-origami-2' => 'origami 2' ),
				array( 'icon-pants' => 'pants' ),
				array( 'icon-pingpong' => 'pingpong' ),
				array( 'icon-pool' => 'pool' ),
				array( 'icon-puzzle' => 'puzzle' ),
				array( 'icon-razor' => 'razor' ),
				array( 'icon-ribbon-bow' => 'ribbon bow' ),
				array( 'icon-safety-pin' => 'safety pin' ),
				array( 'icon-saw' => 'saw' ),
				array( 'icon-screwdriver' => 'screwdriver' ),
				array( 'icon-scuba' => 'scuba' ),
				array( 'icon-shirt' => 'shirt' ),
				array( 'icon-shoes' => 'shoes' ),
				array( 'icon-shovel' => 'shovel' ),
				array( 'icon-soccer-shoe' => 'soccer shoe' ),
				array( 'icon-soccer' => 'soccer' ),
				array( 'icon-swimsuit' => 'swimsuit' ),
				array( 'icon-swiss-knife' => 'swiss knife' ),
				array( 'icon-t-shirt' => 't shirt' ),
				array( 'icon-umbrella-open' => 'umbrella open' ),
				array( 'icon-underwear' => 'underwear' ),
				array( 'icon-volleyball' => 'volleyball' ),
				array( 'icon-watering-can' => 'watering can' ),
				array( 'icon-wedding-rings' => 'wedding rings' ),
				array( 'icon-whistle' => 'whistle' ),
				array( 'icon-wrench-1' => 'wrench 1' ),
				array( 'icon-wrench-2' => 'wrench 2' ),
				array( 'icon-wrench-3' => 'wrench 3' ),
				array( 'icon-wrench-hammer' => 'wrench hammer' ),
				array( 'icon-wrench-screwdriver-1' => 'wrench screwdriver 1' ),
				array( 'icon-wrench-screwdriver-2' => 'wrench screwdriver 2' ),
				array( 'icon-gag' => 'gag' ),
				array( 'icon-px' => 'px' ),
				array( 'icon-after-effects' => 'after effects' ),
				array( 'icon-aim' => 'aim' ),
				array( 'icon-airbnb' => 'airbnb' ),
				array( 'icon-amazon' => 'amazon' ),
				array( 'icon-android' => 'android' ),
				array( 'icon-apple' => 'apple' ),
				array( 'icon-audition' => 'audition' ),
				array( 'icon-bebo' => 'bebo' ),
				array( 'icon-behance' => 'behance' ),
				array( 'icon-blogger' => 'blogger' ),
				array( 'icon-bridge' => 'bridge' ),
				array( 'icon-chrome' => 'chrome' ),
				array( 'icon-codepen' => 'codepen' ),
				array( 'icon-creativecloud' => 'creativecloud' ),
				array( 'icon-creativemarket' => 'creativemarket' ),
				array( 'icon-delicious' => 'delicious' ),
				array( 'icon-deviantart' => 'deviantart' ),
				array( 'icon-digg' => 'digg' ),
				array( 'icon-dreamweaver' => 'dreamweaver' ),
				array( 'icon-dribbble' => 'dribbble' ),
				array( 'icon-drive' => 'drive' ),
				array( 'icon-dropbox' => 'dropbox' ),
				array( 'icon-envato' => 'envato' ),
				array( 'icon-facebook-messenger' => 'facebook messenger' ),
				array( 'icon-facebook' => 'facebook' ),
				array( 'icon-finder' => 'finder' ),
				array( 'icon-firefox' => 'firefox' ),
				array( 'icon-flash2' => 'flash2' ),
				array( 'icon-flicr' => 'flicr' ),
				array( 'icon-forrst' => 'forrst' ),
				array( 'icon-foursquare' => 'foursquare' ),
				array( 'icon-git' => 'git' ),
				array( 'icon-google-play-1' => 'google play 1' ),
				array( 'icon-google-play-2' => 'google play 2' ),
				array( 'icon-google-plus' => 'google plus' ),
				array( 'icon-hangouts' => 'hangouts' ),
				array( 'icon-illustrator' => 'illustrator' ),
				array( 'icon-inbox2' => 'inbox2' ),
				array( 'icon-indesign' => 'indesign' ),
				array( 'icon-inspect' => 'inspect' ),
				array( 'icon-instagram' => 'instagram' ),
				array( 'icon-kickstarter' => 'kickstarter' ),
				array( 'icon-lastfm' => 'lastfm' ),
				array( 'icon-linkedin' => 'linkedin' ),
				array( 'icon-opera' => 'opera' ),
				array( 'icon-osx' => 'osx' ),
				array( 'icon-paypal' => 'paypal' ),
				array( 'icon-photoshop' => 'photoshop' ),
				array( 'icon-picasa' => 'picasa' ),
				array( 'icon-pinterest' => 'pinterest' ),
				array( 'icon-prelude' => 'prelude' ),
				array( 'icon-premiere-pro' => 'premiere pro' ),
				array( 'icon-rdio' => 'rdio' ),
				array( 'icon-reddit' => 'reddit' ),
				array( 'icon-rss' => 'rss' ),
				array( 'icon-safari' => 'safari' ),
				array( 'icon-skype' => 'skype' ),
				array( 'icon-soundcloud' => 'soundcloud' ),
				array( 'icon-spotify' => 'spotify' ),
				array( 'icon-squarespace' => 'squarespace' ),
				array( 'icon-stumble-upon' => 'stumble upon' ),
				array( 'icon-tumblr' => 'tumblr' ),
				array( 'icon-twitter' => 'twitter' ),
				array( 'icon-vimeo-1' => 'vimeo 1' ),
				array( 'icon-vimeo-2' => 'vimeo 2' ),
				array( 'icon-vk' => 'vk' ),
				array( 'icon-whatsup' => 'whatsup' ),
				array( 'icon-wikipedia' => 'wikipedia' ),
				array( 'icon-windows' => 'windows' ),
				array( 'icon-wordpress' => 'wordpress' ),
				array( 'icon-xing' => 'xing' ),
				array( 'icon-yahoo' => 'yahoo' ),
				array( 'icon-youtube' => 'youtube' ),
				array( 'icon-zerply' => 'zerply' ),
				array( 'icon-alarm-add' => 'alarm add' ),
				array( 'icon-alarm-off' => 'alarm off' ),
				array( 'icon-alarm-on' => 'alarm on' ),
				array( 'icon-alarm' => 'alarm' ),
				array( 'icon-calendar-2' => 'calendar 2' ),
				array( 'icon-calendar-check' => 'calendar check' ),
				array( 'icon-calendar-date-2' => 'calendar date 2' ),
				array( 'icon-calendar-date' => 'calendar date' ),
				array( 'icon-calendar-time' => 'calendar time' ),
				array( 'icon-calendar' => 'calendar' ),
				array( 'icon-clock-2' => 'clock 2' ),
				array( 'icon-clock' => 'clock' ),
				array( 'icon-compass-1' => 'compass 1' ),
				array( 'icon-compass-2' => 'compass 2' ),
				array( 'icon-direction' => 'direction' ),
				array( 'icon-directions-1' => 'directions 1' ),
				array( 'icon-directions-2' => 'directions 2' ),
				array( 'icon-distance-1' => 'distance 1' ),
				array( 'icon-distance-2' => 'distance 2' ),
				array( 'icon-fast-delivery' => 'fast delivery' ),
				array( 'icon-gps-location' => 'gps location' ),
				array( 'icon-history' => 'history' ),
				array( 'icon-hourglass-1' => 'hourglass 1' ),
				array( 'icon-hourglass-2' => 'hourglass 2' ),
				array( 'icon-hourglass-reverse' => 'hourglass reverse' ),
				array( 'icon-infinite-loop' => 'infinite loop' ),
				array( 'icon-infinite' => 'infinite' ),
				array( 'icon-location-1-off' => 'location 1 off' ),
				array( 'icon-location-1-on' => 'location 1 on' ),
				array( 'icon-location-1-search' => 'location 1 search' ),
				array( 'icon-location-2-add' => 'location 2 add' ),
				array( 'icon-location-2-check' => 'location 2 check' ),
				array( 'icon-location-2-delete' => 'location 2 delete' ),
				array( 'icon-location-2-off' => 'location 2 off' ),
				array( 'icon-location-2-remove' => 'location 2 remove' ),
				array( 'icon-location-2' => 'location 2' ),
				array( 'icon-location-3' => 'location 3' ),
				array( 'icon-location-4' => 'location 4' ),
				array( 'icon-map-2' => 'map 2' ),
				array( 'icon-map-location-1' => 'map location 1' ),
				array( 'icon-map-location-2' => 'map location 2' ),
				array( 'icon-map-location-3' => 'map location 3' ),
				array( 'icon-map-location-4' => 'map location 4' ),
				array( 'icon-map-timezone' => 'map timezone' ),
				array( 'icon-map' => 'map' ),
				array( 'icon-navigation-1' => 'navigation 1' ),
				array( 'icon-navigation-2' => 'navigation 2' ),
				array( 'icon-phone-location' => 'phone location' ),
				array( 'icon-street-location' => 'street location' ),
				array( 'icon-street-view' => 'street view' ),
				array( 'icon-timer-1' => 'timer 1' ),
				array( 'icon-timer-2' => 'timer 2' ),
				array( 'icon-wind-direction' => 'wind direction' ),
				array( 'icon-wrist-watch' => 'wrist watch' ),
				array( 'icon-anchor' => 'anchor' ),
				array( 'icon-bicycle' => 'bicycle' ),
				array( 'icon-bicycling' => 'bicycling' ),
				array( 'icon-boat-1' => 'boat 1' ),
				array( 'icon-boat-2' => 'boat 2' ),
				array( 'icon-bus-wifi' => 'bus wifi' ),
				array( 'icon-bus' => 'bus' ),
				array( 'icon-cable-ski' => 'cable ski' ),
				array( 'icon-car-2' => 'car 2' ),
				array( 'icon-car-battery' => 'car battery' ),
				array( 'icon-car-key' => 'car key' ),
				array( 'icon-car-parking' => 'car parking' ),
				array( 'icon-car-service' => 'car service' ),
				array( 'icon-car-wash' => 'car wash' ),
				array( 'icon-car-wifi' => 'car wifi' ),
				array( 'icon-car' => 'car' ),
				array( 'icon-cog' => 'cog' ),
				array( 'icon-construction--cone' => 'construction  cone' ),
				array( 'icon-construction-barricade' => 'construction barricade' ),
				array( 'icon-directions' => 'directions' ),
				array( 'icon-elevator-1' => 'elevator 1' ),
				array( 'icon-elevator-2' => 'elevator 2' ),
				array( 'icon-escalator-down' => 'escalator down' ),
				array( 'icon-escalator-up' => 'escalator up' ),
				array( 'icon-flight-land' => 'flight land' ),
				array( 'icon-flight-takeoff' => 'flight takeoff' ),
				array( 'icon-forklift' => 'forklift' ),
				array( 'icon-fuel' => 'fuel' ),
				array( 'icon-garage' => 'garage' ),
				array( 'icon-gas-station' => 'gas station' ),
				array( 'icon-gearbox' => 'gearbox' ),
				array( 'icon-helicopter' => 'helicopter' ),
				array( 'icon-helmet-1' => 'helmet 1' ),
				array( 'icon-helmet-2' => 'helmet 2' ),
				array( 'icon-kids-scooter' => 'kids scooter' ),
				array( 'icon-motorcycle' => 'motorcycle' ),
				array( 'icon-off-roader' => 'off roader' ),
				array( 'icon-pickup-truck' => 'pickup truck' ),
				array( 'icon-racing-flag' => 'racing flag' ),
				array( 'icon-road' => 'road' ),
				array( 'icon-rudder' => 'rudder' ),
				array( 'icon-scooter' => 'scooter' ),
				array( 'icon-ship' => 'ship' ),
				array( 'icon-speedometer' => 'speedometer' ),
				array( 'icon-stairs-down' => 'stairs down' ),
				array( 'icon-stairs-up' => 'stairs up' ),
				array( 'icon-supercar' => 'supercar' ),
				array( 'icon-taxi-1' => 'taxi 1' ),
				array( 'icon-taxi-2' => 'taxi 2' ),
				array( 'icon-tractor' => 'tractor' ),
				array( 'icon-traffic-light' => 'traffic light' ),
				array( 'icon-trailer' => 'trailer' ),
				array( 'icon-train-1' => 'train 1' ),
				array( 'icon-train-2' => 'train 2' ),
				array( 'icon-train-wifi' => 'train wifi' ),
				array( 'icon-tram' => 'tram' ),
				array( 'icon-truck' => 'truck' ),
				array( 'icon-van' => 'van' ),
				array( 'icon-wagon' => 'wagon' ),
				array( 'icon-aids' => 'aids' ),
				array( 'icon-ambulance' => 'ambulance' ),
				array( 'icon-bandage-1' => 'bandage 1' ),
				array( 'icon-bandage-2' => 'bandage 2' ),
				array( 'icon-blood-1' => 'blood 1' ),
				array( 'icon-blood-2' => 'blood 2' ),
				array( 'icon-brain' => 'brain' ),
				array( 'icon-cardio' => 'cardio' ),
				array( 'icon-cross-circle' => 'cross circle' ),
				array( 'icon-cross-rectangle' => 'cross rectangle' ),
				array( 'icon-DNA' => 'DNA' ),
				array( 'icon-drugs' => 'drugs' ),
				array( 'icon-emergency-call' => 'emergency call' ),
				array( 'icon-emergency' => 'emergency' ),
				array( 'icon-first-aid' => 'first aid' ),
				array( 'icon-fitness-app' => 'fitness app' ),
				array( 'icon-handicap' => 'handicap' ),
				array( 'icon-healthcare' => 'healthcare' ),
				array( 'icon-heart-beat' => 'heart beat' ),
				array( 'icon-hospital-building' => 'hospital building' ),
				array( 'icon-hospital-circle' => 'hospital circle' ),
				array( 'icon-hospital-home' => 'hospital home' ),
				array( 'icon-hospital-rectangle' => 'hospital rectangle' ),
				array( 'icon-medical-book' => 'medical book' ),
				array( 'icon-medical-folder' => 'medical folder' ),
				array( 'icon-medical-tests' => 'medical tests' ),
				array( 'icon-microscope' => 'microscope' ),
				array( 'icon-ointment' => 'ointment' ),
				array( 'icon-paramedic' => 'paramedic' ),
				array( 'icon-pharmacy' => 'pharmacy' ),
				array( 'icon-pill-2' => 'pill 2' ),
				array( 'icon-pill-3' => 'pill 3' ),
				array( 'icon-pill' => 'pill' ),
				array( 'icon-pulse' => 'pulse' ),
				array( 'icon-spermatosoid' => 'spermatosoid' ),
				array( 'icon-stethoscope' => 'stethoscope' ),
				array( 'icon-stretcher' => 'stretcher' ),
				array( 'icon-surgical-knife' => 'surgical knife' ),
				array( 'icon-surgical-scissors' => 'surgical scissors' ),
				array( 'icon-syringe' => 'syringe' ),
				array( 'icon-teeth-care' => 'teeth care' ),
				array( 'icon-test-tube-2' => 'test tube 2' ),
				array( 'icon-test-tube' => 'test tube' ),
				array( 'icon-thermometer-1' => 'thermometer 1' ),
				array( 'icon-toilet-paper' => 'toilet paper' ),
				array( 'icon-tooth' => 'tooth' ),
				array( 'icon-weight' => 'weight' ),
				array( 'icon-alien' => 'alien' ),
				array( 'icon-biohazard' => 'biohazard' ),
				array( 'icon-bird-house' => 'bird house' ),
				array( 'icon-bird' => 'bird' ),
				array( 'icon-butterfly' => 'butterfly' ),
				array( 'icon-casino-chip' => 'casino chip' ),
				array( 'icon-coffin' => 'coffin' ),
				array( 'icon-controller-1' => 'controller 1' ),
				array( 'icon-controller-2' => 'controller 2' ),
				array( 'icon-controller-3' => 'controller 3' ),
				array( 'icon-crossed-bones' => 'crossed bones' ),
				array( 'icon-day-night' => 'day night' ),
				array( 'icon-death' => 'death' ),
				array( 'icon-dice' => 'dice' ),
				array( 'icon-dream-house' => 'dream house' ),
				array( 'icon-eco-house' => 'eco house' ),
				array( 'icon-emoticon-grin' => 'emoticon grin' ),
				array( 'icon-emoticon-smile' => 'emoticon smile' ),
				array( 'icon-emoticon' => 'emoticon' ),
				array( 'icon-exit' => 'exit' ),
				array( 'icon-fence' => 'fence' ),
				array( 'icon-fir-tree-1' => 'fir tree 1' ),
				array( 'icon-fir-tree-2' => 'fir tree 2' ),
				array( 'icon-fire2' => 'fire2' ),
				array( 'icon-ghost' => 'ghost' ),
				array( 'icon-hanging' => 'hanging' ),
				array( 'icon-happy-mask' => 'happy mask' ),
				array( 'icon-house-fire' => 'house fire' ),
				array( 'icon-house-lightning' => 'house lightning' ),
				array( 'icon-house-search' => 'house search' ),
				array( 'icon-incognito' => 'incognito' ),
				array( 'icon-labyrinth-1' => 'labyrinth 1' ),
				array( 'icon-labyrinth-2' => 'labyrinth 2' ),
				array( 'icon-leaf' => 'leaf' ),
				array( 'icon-lighthouse' => 'lighthouse' ),
				array( 'icon-love' => 'love' ),
				array( 'icon-middle-finger' => 'middle finger' ),
				array( 'icon-moon' => 'moon' ),
				array( 'icon-moustache' => 'moustache' ),
				array( 'icon-no-smoking' => 'no smoking' ),
				array( 'icon-pacman' => 'pacman' ),
				array( 'icon-plant' => 'plant' ),
				array( 'icon-playing-cards' => 'playing cards' ),
				array( 'icon-poison' => 'poison' ),
				array( 'icon-pong' => 'pong' ),
				array( 'icon-poo' => 'poo' ),
				array( 'icon-pool2' => 'pool2' ),
				array( 'icon-radioactive' => 'radioactive' ),
				array( 'icon-recycle' => 'recycle' ),
				array( 'icon-robot-1' => 'robot 1' ),
				array( 'icon-robot-2' => 'robot 2' ),
				array( 'icon-rock' => 'rock' ),
				array( 'icon-run' => 'run' ),
				array( 'icon-sad-mask' => 'sad mask' ),
				array( 'icon-scythe' => 'scythe' ),
				array( 'icon-Shape515' => 'Shape515' ),
				array( 'icon-Shape516' => 'Shape516' ),
				array( 'icon-shooting-star' => 'shooting star' ),
				array( 'icon-skull' => 'skull' ),
				array( 'icon-smoking' => 'smoking' ),
				array( 'icon-snow-flake' => 'snow flake' ),
				array( 'icon-snow-man' => 'snow man' ),
				array( 'icon-steps' => 'steps' ),
				array( 'icon-sun' => 'sun' ),
				array( 'icon-tetris' => 'tetris' ),
				array( 'icon-theatre-masks' => 'theatre masks' ),
				array( 'icon-tombstone' => 'tombstone' ),
				array( 'icon-tree' => 'tree' ),
				array( 'icon-ufo' => 'ufo' ),
				array( 'icon-unicorn' => 'unicorn' ),
				array( 'icon-vigilante' => 'vigilante' ),
				array( 'icon-wall' => 'wall' ),
				array( 'icon-wheat' => 'wheat' ),
				array( 'icon-account-book-1' => 'account book 1' ),
				array( 'icon-account-book-female' => 'account book female' ),
				array( 'icon-account-book-male' => 'account book male' ),
				array( 'icon-contatcs' => 'contatcs' ),
				array( 'icon-female-sign' => 'female sign' ),
				array( 'icon-head-brainstorming' => 'head brainstorming' ),
				array( 'icon-head-idea' => 'head idea' ),
				array( 'icon-head-money' => 'head money' ),
				array( 'icon-head-question' => 'head question' ),
				array( 'icon-head-search' => 'head search' ),
				array( 'icon-head-settings' => 'head settings' ),
				array( 'icon-head-speech' => 'head speech' ),
				array( 'icon-head-time' => 'head time' ),
				array( 'icon-head' => 'head' ),
				array( 'icon-ID-card' => 'ID card' ),
				array( 'icon-male-sign' => 'male sign' ),
				array( 'icon-people-female' => 'people female' ),
				array( 'icon-people-idea' => 'people idea' ),
				array( 'icon-people-male' => 'people male' ),
				array( 'icon-people-money' => 'people money' ),
				array( 'icon-people-question' => 'people question' ),
				array( 'icon-people-speech-1' => 'people speech 1' ),
				array( 'icon-people-speech-2' => 'people speech 2' ),
				array( 'icon-people-target' => 'people target' ),
				array( 'icon-people-time' => 'people time' ),
				array( 'icon-people' => 'people' ),
				array( 'icon-public-speaking' => 'public speaking' ),
				array( 'icon-rolodex-2' => 'rolodex 2' ),
				array( 'icon-rolodex' => 'rolodex' ),
				array( 'icon-team-1' => 'team 1' ),
				array( 'icon-team-2' => 'team 2' ),
				array( 'icon-team-3' => 'team 3' ),
				array( 'icon-team-hierarchy' => 'team hierarchy' ),
				array( 'icon-useer-male-picture' => 'useer male picture' ),
				array( 'icon-user-add' => 'user add' ),
				array( 'icon-user-check' => 'user check' ),
				array( 'icon-user-circle' => 'user circle' ),
				array( 'icon-user-delete' => 'user delete' ),
				array( 'icon-user-female-add' => 'user female add' ),
				array( 'icon-user-female-check' => 'user female check' ),
				array( 'icon-user-female-circle' => 'user female circle' ),
				array( 'icon-user-female-delete' => 'user female delete' ),
				array( 'icon-user-female-edit' => 'user female edit' ),
				array( 'icon-user-female-options' => 'user female options' ),
				array( 'icon-user-female-picture-add' => 'user female picture add' ),
				array( 'icon-user-female-picture' => 'user female picture' ),
				array( 'icon-user-female-pictures' => 'user female pictures' ),
				array( 'icon-user-female-portrait' => 'user female portrait' ),
				array( 'icon-user-female-profile' => 'user female profile' ),
				array( 'icon-user-female-settings' => 'user female settings' ),
				array( 'icon-user-female-speech-1' => 'user female speech 1' ),
				array( 'icon-user-female-speech-2' => 'user female speech 2' ),
				array( 'icon-user-female' => 'user female' ),
				array( 'icon-user-male-add' => 'user male add' ),
				array( 'icon-user-male-check' => 'user male check' ),
				array( 'icon-user-male-circle' => 'user male circle' ),
				array( 'icon-user-male-delete' => 'user male delete' ),
				array( 'icon-user-male-edit' => 'user male edit' ),
				array( 'icon-user-male-options' => 'user male options' ),
				array( 'icon-user-male-picture-add' => 'user male picture add' ),
				array( 'icon-user-male-pictures' => 'user male pictures' ),
				array( 'icon-user-male-portrait' => 'user male portrait' ),
				array( 'icon-user-male-profile' => 'user male profile' ),
				array( 'icon-user-male-settings' => 'user male settings' ),
				array( 'icon-user-male-speech-1' => 'user male speech 1' ),
				array( 'icon-user-male-speech-2' => 'user male speech 2' ),
				array( 'icon-user-male' => 'user male' ),
				array( 'icon-user-picture-1' => 'user picture 1' ),
				array( 'icon-user-picture-2' => 'user picture 2' ),
				array( 'icon-user-picture-add' => 'user picture add' ),
				array( 'icon-user-profile-1' => 'user profile 1' ),
				array( 'icon-user-profile-2' => 'user profile 2' ),
				array( 'icon-user-search-2' => 'user search 2' ),
				array( 'icon-user-target' => 'user target' ),
				array( 'icon-user' => 'user' ),
				array( 'icon-users-male-female' => 'users male female' ),
				array( 'icon-users-male' => 'users male' ),
				array( 'icon-users' => 'users' ),
				array( 'icon-VIP-card' => 'VIP card' ),
				array( 'icon-badge-1' => 'badge 1' ),
				array( 'icon-badge-2' => 'badge 2' ),
				array( 'icon-crown' => 'crown' ),
				array( 'icon-diploma-1' => 'diploma 1' ),
				array( 'icon-diploma-2' => 'diploma 2' ),
				array( 'icon-diploma-3' => 'diploma 3' ),
				array( 'icon-flag-1' => 'flag 1' ),
				array( 'icon-flag-2' => 'flag 2' ),
				array( 'icon-flag-3' => 'flag 3' ),
				array( 'icon-flag-4' => 'flag 4' ),
				array( 'icon-heart-broken' => 'heart broken' ),
				array( 'icon-heart' => 'heart' ),
				array( 'icon-hearts' => 'hearts' ),
				array( 'icon-like-2' => 'like 2' ),
				array( 'icon-like' => 'like' ),
				array( 'icon-medal-1' => 'medal 1' ),
				array( 'icon-medal-2' => 'medal 2' ),
				array( 'icon-medal-3' => 'medal 3' ),
				array( 'icon-medal-4' => 'medal 4' ),
				array( 'icon-medal-5' => 'medal 5' ),
				array( 'icon-medal-6' => 'medal 6' ),
				array( 'icon-olympic-torch' => 'olympic torch' ),
				array( 'icon-podium' => 'podium' ),
				array( 'icon-star-circle' => 'star circle' ),
				array( 'icon-star-plus' => 'star plus' ),
				array( 'icon-star' => 'star' ),
				array( 'icon-trophy-1' => 'trophy 1' ),
				array( 'icon-trophy-2' => 'trophy 2' ),
				array( 'icon-trophy-3' => 'trophy 3' ),
				array( 'icon-unlike-2' => 'unlike 2' ),
				array( 'icon-unlike' => 'unlike' ),
				array( 'icon-verification' => 'verification' ),
				array( 'icon-votes-2' => 'votes 2' ),
				array( 'icon-votes' => 'votes' ),
				array( 'icon-binary-code' => 'binary code' ),
				array( 'icon-bug-fixed' => 'bug fixed' ),
				array( 'icon-bug-search' => 'bug search' ),
				array( 'icon-bug' => 'bug' ),
				array( 'icon-code-1' => 'code 1' ),
				array( 'icon-code-2' => 'code 2' ),
				array( 'icon-code-3' => 'code 3' ),
				array( 'icon-CPU-overclock' => 'CPU overclock' ),
				array( 'icon-CPU' => 'CPU' ),
				array( 'icon-firewall-1' => 'firewall 1' ),
				array( 'icon-firewall-allert' => 'firewall allert' ),
				array( 'icon-firewall-block' => 'firewall block' ),
				array( 'icon-firewall-disable' => 'firewall disable' ),
				array( 'icon-firewall-done' => 'firewall done' ),
				array( 'icon-firewall-help' => 'firewall help' ),
				array( 'icon-firewall-refresh' => 'firewall refresh' ),
				array( 'icon-firewall-star' => 'firewall star' ),
				array( 'icon-firewall' => 'firewall' ),
				array( 'icon-hierarchy-structure-1' => 'hierarchy structure 1' ),
				array( 'icon-hierarchy-structure-2' => 'hierarchy structure 2' ),
				array( 'icon-hierarchy-structure-3' => 'hierarchy structure 3' ),
				array( 'icon-hierarchy-structure-4' => 'hierarchy structure 4' ),
				array( 'icon-hierarchy-structure-5' => 'hierarchy structure 5' ),
				array( 'icon-hierarchy-structure-6' => 'hierarchy structure 6' ),
				array( 'icon-html-5' => 'html 5' ),
				array( 'icon-link-1-add' => 'link 1 add' ),
				array( 'icon-link-1-broken' => 'link 1 broken' ),
				array( 'icon-link-1-remove' => 'link 1 remove' ),
				array( 'icon-link-1' => 'link 1' ),
				array( 'icon-link-2-broken' => 'link 2 broken' ),
				array( 'icon-link-2' => 'link 2' ),
				array( 'icon-link-3-broken' => 'link 3 broken' ),
				array( 'icon-link-3' => 'link 3' ),
				array( 'icon-search-stats2' => 'search stats2' ),
				array( 'icon-window-404' => 'window 404' ),
				array( 'icon-window-binary-code' => 'window binary code' ),
				array( 'icon-window-bookmark' => 'window bookmark' ),
				array( 'icon-window-code' => 'window code' ),
				array( 'icon-window-console' => 'window console' ),
				array( 'icon-window-content' => 'window content' ),
				array( 'icon-window-cursor' => 'window cursor' ),
				array( 'icon-window-edit' => 'window edit' ),
				array( 'icon-window-layout' => 'window layout' ),
				array( 'icon-window-loading' => 'window loading' ),
				array( 'icon-window-lock' => 'window lock' ),
				array( 'icon-window-refresh' => 'window refresh' ),
				array( 'icon-window-search' => 'window search' ),
				array( 'icon-window-settings' => 'window settings' ),
				array( 'icon-window-user' => 'window user' ),
				array( 'icon-window' => 'window' ),
				array( 'icon-windows-open' => 'windows open' ),
			);

			return array_merge( $icons, $simple_line_icons );
		}
	}

	new Insight_VC_Icon_Simple_Line();
}
